(function() {
	var form = $("#cdr_filters_form");
	form.validate(Validations);

	var duration_fields = {fi: 'duration_init', 'fe': 'duration_end'};
	var billsec_fields = {fi: 'billsec_init', 'fe': 'billsec_end'};

	form.find('#duration_init').bind('focusout',duration_fields, fix_range);
	form.find('#duration_end').bind('focusout',duration_fields, fix_range);
	form.find('#billsec_init').bind('focusout',billsec_fields, fix_range);
	form.find('#billsec_end').bind('focusout',billsec_fields, fix_range);
})();

function fix_range(param){
	var form = $("#cdr_filters_form");
	var init_value = parseInt(form.find('#' + param.data.fi).val());
	var end_value = parseInt(form.find('#' + param.data.fe).val());

	if(!isNaN(end_value) && !isNaN(init_value)){
		if(init_value > end_value){
			form.find('#' + param.data.fe).val(init_value);
		}
	}
}
