function update_dialog() {
	var type = $("#certificatesgeneral input[name='type']:checked").val();
	var organization = $("#certificatesgeneral .form-group-organization").hide();
	var primary_domain = $("#certificatesgeneral .form-group-primary-domain").hide();
	var alt_domains = $("#certificatesgeneral .form-group-alt-domains").hide();
	var private_key = $("#certificatesgeneral .form-group-private-key").hide();
	var certificate = $("#certificatesgeneral .form-group-certificate").hide();
	var chain_certificate = $("#certificatesgeneral .form-group-chain-certificate").hide();
	$("#certificatesgeneral div.alert").hide();
	if (type == "self-signed") {
		organization.show();
		primary_domain.show();
		alt_domains.show();
	} else if (type == "import") {
		private_key.show();
		certificate.show();
		chain_certificate.show();
	}
}


$("#certificatesgeneral input[name='type']").on("change", update_dialog);
$("#certificatesgeneral input[name='https']").on("change", function() {
	var enabled = $("#certificatesgeneral input[name='https']");
	if (enabled.prop('checked')) {
		$("#certificatesgeneral div.alert").show();
	}
});
update_dialog();
