use `ombutel`;

select `module_id` into @module_id from `ombu_modules` where `name` = "dpma_general_settings";

insert into `ombutel`.`ombu_settings` (`module_id`, `name`, `value`) values
	(@module_id, "server_uuid", (select `server_uuid` from `ombu_dpma_settings` limit 1)),
	(@module_id, "globalpin", (select `globalpin` from `ombu_dpma_settings` limit 1)),
	(@module_id, "userlist_auth", coalesce((select `userlist_auth` from `ombu_dpma_settings` limit 1), "disabled")),
	(@module_id, "config_auth", coalesce((select `config_auth` from `ombu_dpma_settings` limit 1), "mac")),
	(@module_id, "service_name", coalesce((select `service_name` from `ombu_dpma_settings` limit 1), "DPMA Phones Config Server")),
	(@module_id, "mdns_address", (select `mdns_address` from `ombu_dpma_settings` limit 1)),
	(@module_id, "mdns_port", coalesce((select `mdns_port` from `ombu_dpma_settings` limit 1), "5060")),
	(@module_id, "service_discovery_enabled", coalesce((select `service_discovery_enabled` from `ombu_dpma_settings` limit 1), "yes")),
	(@module_id, "pjsip_message_context", coalesce((select `pjsip_message_context` from `ombu_dpma_settings` limit 1), "dpma_pjsip_message_context")),
	(@module_id, "file_directory", coalesce((select `file_directory` from `ombu_dpma_settings` limit 1), "/var/lib/asterisk/digium_phones"));

drop table `ombutel`.`ombu_dpma_settings`;
