use `ombutel`;

-- Set missing permissions for modules 'endpoint', 'search' and 'core'

insert into `ombu_role_privileges` (
	`role_id`, `module_id`, `allow_view`,
	`allow_add`, `allow_edit`, `allow_delete`
	) select `role_id`, (
			select `module_id`
		from `ombu_modules`
		where `name` = 'endpoint'
	), 'yes', 'yes', 'yes', 'yes'
	from `ombu_roles` on duplicate key update
	`allow_view` = values(`allow_view`),
	`allow_add` = values(`allow_add`),
	`allow_edit` = values(`allow_edit`),
	`allow_delete` = values(`allow_delete`);

insert into `ombu_role_privileges` (
	`role_id`, `module_id`, `allow_view`,
	`allow_add`, `allow_edit`, `allow_delete`
	) select `role_id`, (
			select `module_id`
		from `ombu_modules`
		where `name` = 'search'
	), 'yes', 'yes', 'yes', 'yes'
	from `ombu_roles` on duplicate key update
	`allow_view` = values(`allow_view`),
	`allow_add` = values(`allow_add`),
	`allow_edit` = values(`allow_edit`),
	`allow_delete` = values(`allow_delete`);

insert into `ombu_role_privileges` (
	`role_id`, `module_id`, `allow_view`,
	`allow_add`, `allow_edit`, `allow_delete`
	) select `role_id`, (
			select `module_id`
		from `ombu_modules`
		where `name` = 'core'
	), 'yes', 'yes', 'yes', 'yes'
	from `ombu_roles` on duplicate key update
	`allow_view` = values(`allow_view`),
	`allow_add` = values(`allow_add`),
	`allow_edit` = values(`allow_edit`),
	`allow_delete` = values(`allow_delete`);
