use ombutel;

-- move network related settings under appropriate 'Network' section instead of 'config'
-- <P5438 para="Active">0</P5438>
-- <P5439 para="PackedInterval">120</P5439>
-- <P38 para="Layer3QoS">48</P38>
-- <P51 para="Layer2QoS_802_1Q_VLANTag">14</P51>
-- <P87 para="Layer2QoS_802_1pPriorityValue">0</P87>
-- <P229 para="DataVLANTag">0</P229>
-- <P8684 para="DhcpVlan">0</P8684>
-- <P24053 para="Network_Advanced_Vlan_WANVlan">1</P24053>
-- <P24054 para="Network_Advanced_Vlan_PCVlan">1</P24054>

set @@character_set_client = "utf8", @@collation_connection = "utf8_unicode_ci";

select 'UC902P' into @model_name;
select s.setting_id into @parent_id
	from xepm_settings as s
	left join xepm_configuration_types as ct using (configuration_type_id)
	left join xepm_models as m using (model_id)
	left join xepm_brands as b using (brand_id)
		where b.name = 'htek'
			and m.name = @model_name
			and binary s.name = 'Network';

update xepm_settings as s
	left join xepm_configuration_types as ct using (configuration_type_id)
	left join xepm_models as m using (model_id)
	left join xepm_brands as b using (brand_id) set parent_id = @parent_id
		where b.name = 'htek'
			and m.name = @model_name
			and s.name like 'P5438/%';

update xepm_settings as s
	left join xepm_configuration_types as ct using (configuration_type_id)
	left join xepm_models as m using (model_id)
	left join xepm_brands as b using (brand_id) set parent_id = @parent_id
		where b.name = 'htek'
			and m.name = @model_name
			and s.name like 'P5439/%';

update xepm_settings as s
	left join xepm_configuration_types as ct using (configuration_type_id)
	left join xepm_models as m using (model_id)
	left join xepm_brands as b using (brand_id) set parent_id = @parent_id
		where b.name = 'htek'
			and m.name = @model_name
			and s.name like 'P38/%';

update xepm_settings as s
	left join xepm_configuration_types as ct using (configuration_type_id)
	left join xepm_models as m using (model_id)
	left join xepm_brands as b using (brand_id) set parent_id = @parent_id
		where b.name = 'htek'
			and m.name = @model_name
			and s.name like 'P51/%';

update xepm_settings as s
	left join xepm_configuration_types as ct using (configuration_type_id)
	left join xepm_models as m using (model_id)
	left join xepm_brands as b using (brand_id) set parent_id = @parent_id
		where b.name = 'htek'
			and m.name = @model_name
			and s.name like 'P87/%';

update xepm_settings as s
	left join xepm_configuration_types as ct using (configuration_type_id)
	left join xepm_models as m using (model_id)
	left join xepm_brands as b using (brand_id) set parent_id = @parent_id
		where b.name = 'htek'
			and m.name = @model_name
			and s.name like 'P229/%';

update xepm_settings as s
	left join xepm_configuration_types as ct using (configuration_type_id)
	left join xepm_models as m using (model_id)
	left join xepm_brands as b using (brand_id) set parent_id = @parent_id
		where b.name = 'htek'
			and m.name = @model_name
			and s.name like 'P229/%';

update xepm_settings as s
	left join xepm_configuration_types as ct using (configuration_type_id)
	left join xepm_models as m using (model_id)
	left join xepm_brands as b using (brand_id) set parent_id = @parent_id
		where b.name = 'htek'
			and m.name = @model_name
			and s.name like 'P8684/%';

-- move setting from 'NetWork' category to 'Network'
update xepm_settings as s
	left join xepm_configuration_types as ct using (configuration_type_id)
	left join xepm_models as m using (model_id)
	left join xepm_brands as b using (brand_id) set parent_id = @parent_id
		where b.name = 'htek'
			and m.name = @model_name
			and s.name like 'P20163/%';
-- remove redundant 'NetWork' category
delete s from xepm_settings as s
	left join xepm_configuration_types as ct using (configuration_type_id)
	left join xepm_models as m using (model_id)
	left join xepm_brands as b using (brand_id)
		where b.name = 'htek'
			and m.name = @model_name
			and binary s.name = 'NetWork';

select 'UC903' into @model_name;
select s.setting_id into @parent_id
	from xepm_settings as s
	left join xepm_configuration_types as ct using (configuration_type_id)
	left join xepm_models as m using (model_id)
	left join xepm_brands as b using (brand_id)
		where b.name = 'htek'
			and m.name = @model_name
			and binary s.name = 'Network';

update xepm_settings as s
	left join xepm_configuration_types as ct using (configuration_type_id)
	left join xepm_models as m using (model_id)
	left join xepm_brands as b using (brand_id) set parent_id = @parent_id
		where b.name = 'htek'
			and m.name = @model_name
			and s.name like 'P5438/%';

update xepm_settings as s
	left join xepm_configuration_types as ct using (configuration_type_id)
	left join xepm_models as m using (model_id)
	left join xepm_brands as b using (brand_id) set parent_id = @parent_id
		where b.name = 'htek'
			and m.name = @model_name
			and s.name like 'P5439/%';

update xepm_settings as s
	left join xepm_configuration_types as ct using (configuration_type_id)
	left join xepm_models as m using (model_id)
	left join xepm_brands as b using (brand_id) set parent_id = @parent_id
		where b.name = 'htek'
			and m.name = @model_name
			and s.name like 'P38/%';

update xepm_settings as s
	left join xepm_configuration_types as ct using (configuration_type_id)
	left join xepm_models as m using (model_id)
	left join xepm_brands as b using (brand_id) set parent_id = @parent_id
		where b.name = 'htek'
			and m.name = @model_name
			and s.name like 'P51/%';

update xepm_settings as s
	left join xepm_configuration_types as ct using (configuration_type_id)
	left join xepm_models as m using (model_id)
	left join xepm_brands as b using (brand_id) set parent_id = @parent_id
		where b.name = 'htek'
			and m.name = @model_name
			and s.name like 'P87/%';

update xepm_settings as s
	left join xepm_configuration_types as ct using (configuration_type_id)
	left join xepm_models as m using (model_id)
	left join xepm_brands as b using (brand_id) set parent_id = @parent_id
		where b.name = 'htek'
			and m.name = @model_name
			and s.name like 'P229/%';

update xepm_settings as s
	left join xepm_configuration_types as ct using (configuration_type_id)
	left join xepm_models as m using (model_id)
	left join xepm_brands as b using (brand_id) set parent_id = @parent_id
		where b.name = 'htek'
			and m.name = @model_name
			and s.name like 'P8684/%';

update xepm_settings as s
	left join xepm_configuration_types as ct using (configuration_type_id)
	left join xepm_models as m using (model_id)
	left join xepm_brands as b using (brand_id) set parent_id = @parent_id
		where b.name = 'htek'
			and m.name = @model_name
			and s.name like 'P20163/%';

delete s from xepm_settings as s
	left join xepm_configuration_types as ct using (configuration_type_id)
	left join xepm_models as m using (model_id)
	left join xepm_brands as b using (brand_id)
		where b.name = 'htek'
			and m.name = @model_name
			and binary s.name = 'NetWork';

select 'UC912G' into @model_name;
select s.setting_id into @parent_id
	from xepm_settings as s
	left join xepm_configuration_types as ct using (configuration_type_id)
	left join xepm_models as m using (model_id)
	left join xepm_brands as b using (brand_id)
		where b.name = 'htek'
			and m.name = @model_name
			and binary s.name = 'Network';

update xepm_settings as s
	left join xepm_configuration_types as ct using (configuration_type_id)
	left join xepm_models as m using (model_id)
	left join xepm_brands as b using (brand_id) set parent_id = @parent_id
		where b.name = 'htek'
			and m.name = @model_name
			and s.name like 'P5438/%';

update xepm_settings as s
	left join xepm_configuration_types as ct using (configuration_type_id)
	left join xepm_models as m using (model_id)
	left join xepm_brands as b using (brand_id) set parent_id = @parent_id
		where b.name = 'htek'
			and m.name = @model_name
			and s.name like 'P5439/%';

update xepm_settings as s
	left join xepm_configuration_types as ct using (configuration_type_id)
	left join xepm_models as m using (model_id)
	left join xepm_brands as b using (brand_id) set parent_id = @parent_id
		where b.name = 'htek'
			and m.name = @model_name
			and s.name like 'P38/%';

update xepm_settings as s
	left join xepm_configuration_types as ct using (configuration_type_id)
	left join xepm_models as m using (model_id)
	left join xepm_brands as b using (brand_id) set parent_id = @parent_id
		where b.name = 'htek'
			and m.name = @model_name
			and s.name like 'P51/%';

update xepm_settings as s
	left join xepm_configuration_types as ct using (configuration_type_id)
	left join xepm_models as m using (model_id)
	left join xepm_brands as b using (brand_id) set parent_id = @parent_id
		where b.name = 'htek'
			and m.name = @model_name
			and s.name like 'P87/%';

update xepm_settings as s
	left join xepm_configuration_types as ct using (configuration_type_id)
	left join xepm_models as m using (model_id)
	left join xepm_brands as b using (brand_id) set parent_id = @parent_id
		where b.name = 'htek'
			and m.name = @model_name
			and s.name like 'P229/%';

update xepm_settings as s
	left join xepm_configuration_types as ct using (configuration_type_id)
	left join xepm_models as m using (model_id)
	left join xepm_brands as b using (brand_id) set parent_id = @parent_id
		where b.name = 'htek'
			and m.name = @model_name
			and s.name like 'P8684/%';

update xepm_settings as s
	left join xepm_configuration_types as ct using (configuration_type_id)
	left join xepm_models as m using (model_id)
	left join xepm_brands as b using (brand_id) set parent_id = @parent_id
		where b.name = 'htek'
			and m.name = @model_name
			and s.name like 'P20163/%';

delete s from xepm_settings as s
	left join xepm_configuration_types as ct using (configuration_type_id)
	left join xepm_models as m using (model_id)
	left join xepm_brands as b using (brand_id)
		where b.name = 'htek'
			and m.name = @model_name
			and binary s.name = 'NetWork';

select 'UC923' into @model_name;
select s.setting_id into @parent_id
	from xepm_settings as s
	left join xepm_configuration_types as ct using (configuration_type_id)
	left join xepm_models as m using (model_id)
	left join xepm_brands as b using (brand_id)
		where b.name = 'htek'
			and m.name = @model_name
			and binary s.name = 'Network';

update xepm_settings as s
	left join xepm_configuration_types as ct using (configuration_type_id)
	left join xepm_models as m using (model_id)
	left join xepm_brands as b using (brand_id) set parent_id = @parent_id
		where b.name = 'htek'
			and m.name = @model_name
			and s.name like 'P5438/%';

update xepm_settings as s
	left join xepm_configuration_types as ct using (configuration_type_id)
	left join xepm_models as m using (model_id)
	left join xepm_brands as b using (brand_id) set parent_id = @parent_id
		where b.name = 'htek'
			and m.name = @model_name
			and s.name like 'P5439/%';

update xepm_settings as s
	left join xepm_configuration_types as ct using (configuration_type_id)
	left join xepm_models as m using (model_id)
	left join xepm_brands as b using (brand_id) set parent_id = @parent_id
		where b.name = 'htek'
			and m.name = @model_name
			and s.name like 'P38/%';

update xepm_settings as s
	left join xepm_configuration_types as ct using (configuration_type_id)
	left join xepm_models as m using (model_id)
	left join xepm_brands as b using (brand_id) set parent_id = @parent_id
		where b.name = 'htek'
			and m.name = @model_name
			and s.name like 'P51/%';

update xepm_settings as s
	left join xepm_configuration_types as ct using (configuration_type_id)
	left join xepm_models as m using (model_id)
	left join xepm_brands as b using (brand_id) set parent_id = @parent_id
		where b.name = 'htek'
			and m.name = @model_name
			and s.name like 'P87/%';

update xepm_settings as s
	left join xepm_configuration_types as ct using (configuration_type_id)
	left join xepm_models as m using (model_id)
	left join xepm_brands as b using (brand_id) set parent_id = @parent_id
		where b.name = 'htek'
			and m.name = @model_name
			and s.name like 'P229/%';

update xepm_settings as s
	left join xepm_configuration_types as ct using (configuration_type_id)
	left join xepm_models as m using (model_id)
	left join xepm_brands as b using (brand_id) set parent_id = @parent_id
		where b.name = 'htek'
			and m.name = @model_name
			and s.name like 'P8684/%';

update xepm_settings as s
	left join xepm_configuration_types as ct using (configuration_type_id)
	left join xepm_models as m using (model_id)
	left join xepm_brands as b using (brand_id) set parent_id = @parent_id
		where b.name = 'htek'
			and m.name = @model_name
			and s.name like 'P20163/%';

delete s from xepm_settings as s
	left join xepm_configuration_types as ct using (configuration_type_id)
	left join xepm_models as m using (model_id)
	left join xepm_brands as b using (brand_id)
		where b.name = 'htek'
			and m.name = @model_name
			and binary s.name = 'NetWork';

select 'UC924' into @model_name;
select s.setting_id into @parent_id
	from xepm_settings as s
	left join xepm_configuration_types as ct using (configuration_type_id)
	left join xepm_models as m using (model_id)
	left join xepm_brands as b using (brand_id)
		where b.name = 'htek'
			and m.name = @model_name
			and binary s.name = 'Network';

update xepm_settings as s
	left join xepm_configuration_types as ct using (configuration_type_id)
	left join xepm_models as m using (model_id)
	left join xepm_brands as b using (brand_id) set parent_id = @parent_id
		where b.name = 'htek'
			and m.name = @model_name
			and s.name like 'P5438/%';

update xepm_settings as s
	left join xepm_configuration_types as ct using (configuration_type_id)
	left join xepm_models as m using (model_id)
	left join xepm_brands as b using (brand_id) set parent_id = @parent_id
		where b.name = 'htek'
			and m.name = @model_name
			and s.name like 'P5439/%';

update xepm_settings as s
	left join xepm_configuration_types as ct using (configuration_type_id)
	left join xepm_models as m using (model_id)
	left join xepm_brands as b using (brand_id) set parent_id = @parent_id
		where b.name = 'htek'
			and m.name = @model_name
			and s.name like 'P38/%';

update xepm_settings as s
	left join xepm_configuration_types as ct using (configuration_type_id)
	left join xepm_models as m using (model_id)
	left join xepm_brands as b using (brand_id) set parent_id = @parent_id
		where b.name = 'htek'
			and m.name = @model_name
			and s.name like 'P51/%';

update xepm_settings as s
	left join xepm_configuration_types as ct using (configuration_type_id)
	left join xepm_models as m using (model_id)
	left join xepm_brands as b using (brand_id) set parent_id = @parent_id
		where b.name = 'htek'
			and m.name = @model_name
			and s.name like 'P87/%';

update xepm_settings as s
	left join xepm_configuration_types as ct using (configuration_type_id)
	left join xepm_models as m using (model_id)
	left join xepm_brands as b using (brand_id) set parent_id = @parent_id
		where b.name = 'htek'
			and m.name = @model_name
			and s.name like 'P229/%';

update xepm_settings as s
	left join xepm_configuration_types as ct using (configuration_type_id)
	left join xepm_models as m using (model_id)
	left join xepm_brands as b using (brand_id) set parent_id = @parent_id
		where b.name = 'htek'
			and m.name = @model_name
			and s.name like 'P8684/%';

update xepm_settings as s
	left join xepm_configuration_types as ct using (configuration_type_id)
	left join xepm_models as m using (model_id)
	left join xepm_brands as b using (brand_id) set parent_id = @parent_id
		where b.name = 'htek'
			and m.name = @model_name
			and s.name like 'P20163/%';

delete s from xepm_settings as s
	left join xepm_configuration_types as ct using (configuration_type_id)
	left join xepm_models as m using (model_id)
	left join xepm_brands as b using (brand_id)
		where b.name = 'htek'
			and m.name = @model_name
			and binary s.name = 'NetWork';

select 'UC926E' into @model_name;
select s.setting_id into @parent_id
	from xepm_settings as s
	left join xepm_configuration_types as ct using (configuration_type_id)
	left join xepm_models as m using (model_id)
	left join xepm_brands as b using (brand_id)
		where b.name = 'htek'
			and m.name = @model_name
			and binary s.name = 'Network';

update xepm_settings as s
	left join xepm_configuration_types as ct using (configuration_type_id)
	left join xepm_models as m using (model_id)
	left join xepm_brands as b using (brand_id) set parent_id = @parent_id
		where b.name = 'htek'
			and m.name = @model_name
			and s.name like 'P5438/%';

update xepm_settings as s
	left join xepm_configuration_types as ct using (configuration_type_id)
	left join xepm_models as m using (model_id)
	left join xepm_brands as b using (brand_id) set parent_id = @parent_id
		where b.name = 'htek'
			and m.name = @model_name
			and s.name like 'P5439/%';

update xepm_settings as s
	left join xepm_configuration_types as ct using (configuration_type_id)
	left join xepm_models as m using (model_id)
	left join xepm_brands as b using (brand_id) set parent_id = @parent_id
		where b.name = 'htek'
			and m.name = @model_name
			and s.name like 'P38/%';

update xepm_settings as s
	left join xepm_configuration_types as ct using (configuration_type_id)
	left join xepm_models as m using (model_id)
	left join xepm_brands as b using (brand_id) set parent_id = @parent_id
		where b.name = 'htek'
			and m.name = @model_name
			and s.name like 'P51/%';

update xepm_settings as s
	left join xepm_configuration_types as ct using (configuration_type_id)
	left join xepm_models as m using (model_id)
	left join xepm_brands as b using (brand_id) set parent_id = @parent_id
		where b.name = 'htek'
			and m.name = @model_name
			and s.name like 'P87/%';

update xepm_settings as s
	left join xepm_configuration_types as ct using (configuration_type_id)
	left join xepm_models as m using (model_id)
	left join xepm_brands as b using (brand_id) set parent_id = @parent_id
		where b.name = 'htek'
			and m.name = @model_name
			and s.name like 'P229/%';

update xepm_settings as s
	left join xepm_configuration_types as ct using (configuration_type_id)
	left join xepm_models as m using (model_id)
	left join xepm_brands as b using (brand_id) set parent_id = @parent_id
		where b.name = 'htek'
			and m.name = @model_name
			and s.name like 'P8684/%';

update xepm_settings as s
	left join xepm_configuration_types as ct using (configuration_type_id)
	left join xepm_models as m using (model_id)
	left join xepm_brands as b using (brand_id) set parent_id = @parent_id
		where b.name = 'htek'
			and m.name = @model_name
			and s.name like 'P20163/%';

delete s from xepm_settings as s
	left join xepm_configuration_types as ct using (configuration_type_id)
	left join xepm_models as m using (model_id)
	left join xepm_brands as b using (brand_id)
		where b.name = 'htek'
			and m.name = @model_name
			and binary s.name = 'NetWork';
