(function () {
	$("#ivr_form").validate(Validations);
	cos_change();
	$.each($('#ivr_form select#mod_invalid, #ivr_form select#invalid_index, ' +
		'#ivr_form select#mod_timeout, #ivr_form select#timeout_index'), function(i, element
	) {
		$(element).select2({});
	});
})();

function cos_change() {
	var cos = $("#ivr_form").find("#class_of_service_id");

	cos.on('change',function() {
		var selected = $(this).val();
		if(selected != '') {
			BootstrapDialog.show({
				type: BootstrapDialog.TYPE_WARNING,
				title: ivr_cos_warning_title,
				message: ivr_cos_warning,
				buttons: [{
					label: ivr_cos_warning_confirm,
					cssClass: 'btn-warning',
					action: function(dialogItself) {
						$("#ivrgeneral input#ivr_current_cos").val(selected);
						dialogItself.close();
					}
				}, {
					label: ivr_cos_warning_cancel,
					cssClass: 'btn-primary',
					action: function(dialogItself) {
						var ivr_current_cos = $("#ivrgeneral input#ivr_current_cos").val();
						cos.val(ivr_current_cos);
						dialogItself.close();
					}
				}]
			})
		} else {
			$("#ivrgeneral input#ivr_current_cos").val(selected);
		}
	});
}
