(function () {
	var net_form = $("#network_settings_form");
	var modal_form = $("#modal-net-interface-form");

	if(net_form.find('#dhcp').length){
		dhcp_interaction(net_form,net_form.find('#dhcp').attr('checked'));

		net_form.find('#dhcp').change(function() {
			dhcp_interaction(net_form,this.checked);
		});
	}

	if(modal_form.find('#dhcp').length){
		dhcp_interaction(modal_form,modal_form.find('#dhcp').attr('checked'));

		modal_form.find('#dhcp').change(function() {
			dhcp_interaction(modal_form,this.checked);
		});
	}

	function dhcp_interaction(form,active){
		if(active){
			form.find('.form-group-address').hide();
			form.find('.form-group-netmask').hide();
		}else{
			form.find('.form-group-address').show();
			form.find('.form-group-netmask').show();
		}
	}
})();
